/*
 Theme Name:        Uptown Studios Child
 Text Domain:       uptown-studios-child
 Author:            April Auger
 Author URI:        https://aprilauger.com
 Description:       Uptown Studios Child Theme
 Template:          uptown-studios
 Version:           1.0.0
 Requires at least: 5.9
 Tested up to:      6.0
 Requires PHP:      5.6
 License:           GNU General Public License v2 or later
 License URI:       http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Gutenberg */
.wp-block-columns.is-layout-flex {
	gap: 0
}

/* Typography */
html {
	font-family: Verdana, Geneva, Tahoma, sans-serif;
	font-size: 1rem;
	font-size: clamp(1rem, 0.9875rem + 0.0625vw, 1.0625rem);
}

.wp-block-button__link {
	font-size: 1rem;
	font-size: clamp(1rem, 0.9875rem + 0.0625vw, 1.0625rem);
}

h1, h2, h3 {
	font-weight: 600;
}

h1 {
	font-size: 2.5rem;
	font-size: clamp(2.5rem, 2.375rem + 0.625vw, 3.125rem);
}

h2 {
	color: #005A7C;
	font-size: 1.875rem;
	font-size: clamp(1.875rem, 1.75rem + 0.625vw, 2.5rem);
	letter-spacing: 1.6;
}

h2.logo {
	position: relative;
	padding-left: 2.25rem;
	letter-spacing: 1.6;
}

h2.logo::before {
	content: url('./assets/img/logo.svg');
	height: 100%;
	left: 0;
	position: absolute;
	top: .2rem;
	width: 100%;
}

h3, .jumbotron-container .description {
	font-size: 1.25rem;
	font-size: clamp(1.25rem, 1.175rem + 0.375vw, 1.625rem);
}

h4, .h4 {
	font-size: 1rem;
	font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);
	font-weight: 600;
	color: #005a7c;
}

/* Jumbotron and headers */
.jumbotron-container {
	max-width: 38rem;
}

.jumbotron-container .title {
	font-weight: 400;
}

.home .jumbotron,
.home .jumbotron::after {
	border-bottom-right-radius: 9rem;
	height: 95vh;
}

@media (min-width: 992px) {

	.home .jumbotron,
	.home .jumbotron::after {
		border-bottom-right-radius: 9rem;
	}
}

div#title-block,
.bkg-img .tb-wrapper::before {
	border-bottom-right-radius: 8rem;
}


/* Steps */
.steps h3 {
	margin-top: 0
}

.step-icon {
	margin-right: .75rem;
}

.step-icon img {
	background: #FFFFFF;
	box-shadow: 0px 0px 15px #0000001C;
	padding: .35rem;
	border-radius: 50%;
}

@media (max-width: 767.98px) {

	/* Change the div order to correct the order of steps on small screens. */
	.steps-mobile {
		display: flex;
		flex-direction: column;
	}

	.steps-reverse-mobile {
		display: flex;
		flex-direction: column-reverse;
	}

}

@media (min-width: 1200px) {

	.arrow-down,
	.arrow-left,
	.arrow-right {
		position: relative;
	}

	.arrow-down::after,
	.arrow-left::after,
	.arrow-right::after {
		content: "";
		position: absolute;
		background-repeat: no-repeat;
		top: .5rem;
	}

	.arrow-down::after {
		top: 8rem;
		width: 72px;
		height: 131px;
		background-image: url(./assets/img/arrow-down.svg);
		right: -3rem;
	}

	.arrow-left::after {
		left: -7rem;
		top: 0;
		width: 108px;
		height: 50px;
		background-image: url(./assets/img/arrow-left.svg);
	}

	.arrow-right::after {
		width: 108px;
		height: 50px;
		right: 1rem;
		background-image: url(./assets/img/arrow-right.svg);
	}
}

/* Video */
/* Stats */
#video .container {
	padding-top: 10rem;
	padding-bottom: 10rem;
}

.primary-gradient {
	position: relative;
	z-index: 0;
}

.primary-gradient::after {
	background: #00496A;
	content: "";
	height: 100%;
	left: 0;
	opacity: 0.9;
	position: absolute;
	top: 0;
	width: 100%;
	z-index: 1;
}

/* Tabs block */



/* Stats */
#stats .premium-countup__icon_wrap {
	margin-top: -35px;
}

#stats .premium-countup__title {
	font-size: 1rem;
	font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);
}

.wp-block-columns {
	margin-bottom: 0;
}

@media (max-width: 991.98px) {
	.wp-block-premium-countup {}
}

.premium-countup__info {
	line-height: 1.4;
}

/* Card */
.card-body {
	padding: .25rem;
}

.post-img {
	border-radius: .25rem;
}

.post-small .post-info {
	padding-left: 1rem;
}

.card h3 {
	font-size: 1.125rem;
	font-size: clamp(1.125rem, 1.075rem + 0.25vw, 1.375rem);
	margin: 0;
}

h3.card-title a:link,
h3.card-title a:visited {
	color: #005A7C;
}

.card img {
	border-radius: .5rem
}

/* Home */
@media (min-width: 992px) {

	.home #navbar-wrapper.start-style #site-navigation .nav-link,
	.home #navbar-wrapper.start-style #site-navigation .dashicons-search:before,
	.home #navbar-wrapper.start-style .top-bar .contact-wrapper a:link {
		color: #ffffff;
	}

	.home #navbar-wrapper.start-style .top-bar .social-icon svg {
		fill: #ffffff;
	}
}

/* What we do */
.page-id-44 #footer {
	margin-top: 0;
}

.yellow .wp-block-button__link,
.yellow .wp-block-button__link:visited {
	background-color: #FFA300
}

.yellow .wp-block-button__link:hover,
.yellow .wp-block-button__link:active {
	background-color: #df8d00;
}

/* Widgets */
ul#lct-widget-category {
	list-style: none;
}

/* Categories */
.single .cat-links a {
	background: #005A7C;
	border-radius: 1rem;
	color: #ffffff;
	font-weight: 600;
	letter-spacing: 0.05rem;
	padding: .2rem .75rem;
}

.single .cat-links a:hover {
	background-color: #FFA300;
}

/* Photo over photo */
.photo-over-photo {
	position: relative;
}

.back-photo {
	position: relative;
	padding-right: 15%;
}

.right-column .back-photo {
	position: relative;
	padding-left: 15%;
}

.front-photo {
	border-radius: 0.5rem;
	background: #ffffff;
	bottom: -4rem;
	max-width: 50%;
	position: absolute;
	right: 0%;
}

.right-column .front-photo {
	left: 0%;
}

.back-photo img,
.front-photo img {
	border-radius: 0.5rem;
}

.front-photo img {
	border: .75rem #ffffff solid;
}

.uagb-block-ff30dd1e .uagb-tabs__panel .uagb-tab a {
	font-weight: 600;
}

/* FAQ */
.uagb-faq-questions-button {
	font-weight: 600;
}

/* Footer */
#footer .btn-primary:link,
#footer .btn-primary:visited,
#footer .button:visited {
	color: #ffffff;
}

.copyright {
	font-size: 0.9rem;
	font-size: clamp(0.9rem, 0.88rem + 0.09999999999999998vw, 1rem);
}

#footer .address {
    padding-bottom: .5rem;
}

.col-four {
	text-align: center
}

.col-four .widget_media_image {
	max-width: 100px;
	margin: auto;
}

.footer-bottom {
	font-size: 13px
}

/* Form */
.gform_wrapper.gravity-theme .gform_footer button, .gform_wrapper.gravity-theme .gform_footer input, .gform_wrapper.gravity-theme .gform_page_footer button, .gform_wrapper.gravity-theme .gform_page_footer input {
	margin-bottom: 8px;
	padding: 0.2rem 1rem;
	border-radius: 1.25rem;
	font-weight: 600;
	letter-spacing: .04rem;
}

/* Other styles */
.hide-for-now {
	display: none
}

@media (min-width: 992px) {
	.padding-right {
		padding-right: 3rem;
	}
}